safe FFI between OCaml and Rust (experimental)
☆68Aug 23, 2020Updated 6 years ago
Alternatives and similar repositories for caml-oxide
Users that are interested in caml-oxide are comparing it to the libraries listed below. We may earn a commission when you buy through links labeled 'Ad' on this page.
Sorting:
- xi-editor data structures in OCaml☆10Mar 21, 2020Updated 6 years ago
- Elliptic Curve Diffie-Hellman on Edwards Curves (X25519, X448)☆11Oct 30, 2020Updated 5 years ago
- ☆11Apr 22, 2016Updated 10 years ago
- A port of Eric Lippert's flathead Z-machine interpreter to MirageOS☆10Sep 27, 2019Updated 7 years ago
- Basic password manager library and command-line application in OCaml☆12Mar 14, 2018Updated 8 years ago
- Deploy to Railway using AI coding agents - Free Credits Offer • AdUse Claude Code, Codex, OpenCode, and more. Autonomous software development now has the infrastructure to match with Railway.
- automatic ci configuration for the people☆36Nov 20, 2019Updated 6 years ago
- a small, simple block-backed key-value store for MirageOS☆32Oct 27, 2025Updated last year
- Password based key derivation functions from PKCS#5, RFC 2898☆21Jul 15, 2024Updated 2 years ago
- WiP: RFC 4880 (OpenPGP) library and utilities in OCaml☆24Oct 1, 2018Updated 8 years ago
- SOCKS4a and SOCKS5 (RFC 1928; RFC 1929) handling for ocaml clients and servers☆20Jul 9, 2023Updated 3 years ago
- Persistent vectors for OCaml☆41Feb 19, 2018Updated 8 years ago
- Cross-runtime object interface generation☆35Oct 28, 2021Updated 5 years ago
- Portable clock implementation for Unix and Xen☆17Apr 24, 2024Updated 2 years ago
- A traceable distributed computation framework☆23Oct 8, 2019Updated 7 years ago
- Deploy to Railway using AI coding agents - Free Credits Offer • AdUse Claude Code, Codex, OpenCode, and more. Autonomous software development now has the infrastructure to match with Railway.
- Scalable LRU caches for OCaml☆46Oct 25, 2022Updated 4 years ago
- Lookup and load installed OCaml modules☆17Aug 13, 2026Updated 2 months ago
- Make interactive text-oriented user-interfaces for OCaml☆23Feb 5, 2020Updated 6 years ago
- a byte-sized time series database☆23Dec 15, 2020Updated 5 years ago
- Infrastructure to collect metrics from OCaml applications.☆46Jun 16, 2025Updated last year
- A Datalog implementation with an OCaml inspired module system☆45Oct 13, 2026Updated 2 weeks ago
- POSIX sendmsg bindings for OCaml☆16Nov 5, 2016Updated 9 years ago
- Library for manipulating ISO images☆13Jun 28, 2019Updated 7 years ago
- A safer C FFI for OCaml☆18Dec 13, 2018Updated 7 years ago
- 1-Click AI Models by DigitalOcean Gradient • AdDeploy popular AI models on DigitalOcean Gradient GPU virtual machines with just a single click. Zero configuration with optimized deployments.
- My notes about the Notty library https://github.com/pqwy/notty☆44Feb 23, 2021Updated 5 years ago
- Another way to describe mirage☆19Jul 8, 2019Updated 7 years ago
- Emitter for catapult trace viewer, i.e. chrome://tracing☆16Oct 8, 2018Updated 8 years ago
- Unicode text for OCaml☆14Feb 19, 2018Updated 8 years ago
- ☆21Mar 6, 2019Updated 7 years ago
- easy-to-use wrapper for OCaml's Dynlink☆17Jan 9, 2017Updated 9 years ago
- U2F (FIDO Universal 2nd Factor) in OCaml☆25Sep 2, 2024Updated 2 years ago
- ☆37Jul 16, 2022Updated 4 years ago
- A simple photo gallery webapp☆15Jun 1, 2021Updated 5 years ago
- Managed hosting for WordPress and PHP on Cloudways • AdManaged hosting for WordPress, Magento, Laravel, or PHP apps, on multiple cloud providers. Deploy in minutes on Cloudways by DigitalOcean.
- Agnostic benchmark in OCaml (proof-of-concept)☆44Aug 29, 2026Updated 2 months ago
- Alternative String module for OCaml☆31Aug 8, 2020Updated 6 years ago
- Should be the next conduit ... or not☆18Apr 20, 2020Updated 6 years ago
- An eDSL for MirageOS apps☆20Jul 30, 2018Updated 8 years ago
- Software construction and deployment kit☆41Oct 21, 2026Updated last week
- Fast websocket library for OCaml, based on angstrom/httpaf☆32Sep 24, 2026Updated last month
- Future values for asynchronous programming in OCaml (unreleased)☆20Jun 18, 2020Updated 6 years ago